{ pkgs, config, ... }:
{
  programs.waybar = {
    enable= true;
    settings = {
      mainBar = {
        stylesheet = "${config.home.homeDirectory}/.config/waybar/style.css";
        layer = "top";
        position = "top";
        height = 58;
        spacing = 0;
        fixed-center = true;
        margin-left = 8;
        margin-right = 25;
        padding-right = 25;
        output = [
          "DP-5"
        ];
        include = "~/system/pkgs/wm/waybar/default.json";
        modules-left = [ "custom/os_button" "hyprland/workspaces#roman" "custom/pavc" "cava" "pulseaudio/slider" ];
        modules-center = [ "hyprland/window" "wlr/taskbar" ]; # replace wlr/taskbar
        modules-right = [ "cpu" "temperature" "disk" "tray" "clock" "custom/exit" ];
        # modules-right = [ "custom/pavc" "cava" "pulseaudio/slider" "cpu" "temperature" "disk" "bluetooth" "tray" "clock" "custom/exit" ];

        "custom/os_button" = {
          "format" = "";
          "on-click" = "rofi -show drun -modi drun,filebrowser,run,window,ssh";
          "tooltip" = false;
        };
      };
      leftBar = {
        stylesheet = "${config.home.homeDirectory}/.config/waybar/style.css";
        layer = "top";
        position = "bottom";
        height = 39;
        output = "DP-3";
        spacing = 0;
        fixed-center = true;
        margin-left = 8;
        margin-right = 8;
        include = "~/system/pkgs/wm/waybar/default.json";
        modules-left = [ "memory" "hyprland/workspaces#roman" ];
        modules-center = [ "wlr/taskbar" ];
        modules-right = [  ];
      };
      rightBar = {
        layer = "top";
        position = "top";
        height = 47;
        output = "DP-6";
        margin-bottom = 3;
        include = "~/system/pkgs/wm/waybar/default.json";
        modules-left = [ "systemd-failed-units" "jack" ];
        modules-center = [ "wlr/taskbar" ];
        modules-right = [ "hyprland/workspaces#roman" "network"  ];
      };
    };
  };
}
